Bug 600124 - O SELinux está impedindo o acesso a /usr/sbin/abrtd "read" on time
O SELinux está impedindo o acesso a /usr/sbin/abrtd "read" on time
Status: CLOSED DUPLICATE of bug 600123
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:2adb4ca99eb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 21:44 EDT by gelo
Modified: 2012-05-15 02:49 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-04 01:33:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gelo 2010-06-03 21:44:50 EDT
Sumário:

O SELinux está impedindo o acesso a /usr/sbin/abrtd "read" on time

Descrição detalhada:

[SElinux está em modo permissivo. Esse acesso não foi negado.]

O SELinux impediu o acesso requisitado pelo abrtd. Não é comum que este acesso
seja requisitado pelo abrtd e isto pode indicar uma tentativa de intrusão.
Também é possível que a versão ou configuração específicas do aplicativo
estejam fazendo com que o mesmo requisite o acesso adicio

Permitindo acesso:

Você pode gerar um módulo de política local para permitir este acesso - veja
o FAQ (http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Por favor,
registre um relatório de erro.

Informações adicionais:

Contexto de origem            system_u:system_r:abrt_t:s0
Contexto de destino           system_u:object_r:var_spool_t:s0
Objetos de destino            time [ file ]
Origem                        abrtd
Caminho da origem             /usr/sbin/abrtd
Porta                         <Desconhecido>
Máquina                      (removido)
Pacotes RPM de origem         abrt-1.1.4-1.fc14
Pacotes RPM de destino        
RPM da política              selinux-policy-3.8.1-4.fc14
Selinux habilitado            True
Tipo de política             targeted
Modo reforçado               Permissive
Nome do plugin                catchall
Nome da máquina              (removido)
Plataforma                    Linux (removido) 2.6.32.11-99.fc12.x86_64 #1 SMP Mon
                              Apr 5 19:59:38 UTC 2010 x86_64 x86_64
Contador de alertas           14
Visto pela primeira vez em    Qui 03 Jun 2010 12:04:43 BRT
Visto pela última vez em     Qui 03 Jun 2010 18:33:26 BRT
ID local                      16a32101-2cd6-486e-90e5-1f53c3bf57e9
Números de linha             

Mensagens de auditoria não p 

node=(removido) type=AVC msg=audit(1275600806.208:21): avc:  denied  { read } for  pid=1742 comm="abrtd" name="time" dev=sda2 ino=402638 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:var_spool_t:s0 tclass=file

node=(removido) type=AVC msg=audit(1275600806.208:21): avc:  denied  { open } for  pid=1742 comm="abrtd" name="time" dev=sda2 ino=402638 scontext=system_u:system_r:abrt_t:s0 tcontext=system_u:object_r:var_spool_t:s0 tclass=file

node=(removido) type=SYSCALL msg=audit(1275600806.208:21): arch=c000003e syscall=2 success=yes exit=9 a0=1875378 a1=0 a2=1b6 a3=0 items=0 ppid=1 pid=1742 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="abrtd" exe="/usr/sbin/abrtd" subj=system_u:system_r:abrt_t:s0 key=(null)



Hash String generated from  catchall,abrtd,abrt_t,var_spool_t,file,read
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t var_spool_t:file { read open };
Comment 1 Miroslav Grepl 2010-06-04 01:33:29 EDT

*** This bug has been marked as a duplicate of bug 600123 ***

Note You need to log in before you can comment on or make changes to this bug.